Package org.apache.maven.archiver

## Class ManifestSection

- java.lang.Object
- - org.apache.maven.archiver.ManifestSection

    public class ManifestSection
    extends java.lang.Object

Version:
  $Id: ManifestSection.java 1738422 2016-04-10 11:51:15Z khmarbaise $

### Constructor Summary

Constructors
`ManifestSection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addManifestEntries​(java.util.Map<java.lang.String,​java.lang.String> map)`
`void` `addManifestEntry​(java.lang.String key, java.lang.String value)`
`java.util.Map<java.lang.String,​java.lang.String>` `getManifestEntries()`
`java.lang.String` `getName()`
`boolean` `isManifestEntriesEmpty()`
`void` `setName​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManifestSection

    public ManifestSection()

### Method Detail

#### addManifestEntry

    public void addManifestEntry​(java.lang.String key,
                                 java.lang.String value)

Parameters:
  `key` - The key of the manifest entry.
  `value` - The appropriate value.

#### getManifestEntries

    public java.util.Map<java.lang.String,​java.lang.String> getManifestEntries()

Returns:
  The entries.

#### getName

    public java.lang.String getName()

Returns:
  The name.

#### setName

    public void setName​(java.lang.String name)

Parameters:
  `name` - the name.

#### addManifestEntries

    public void addManifestEntries​(java.util.Map<java.lang.String,​java.lang.String> map)

Parameters:
  `map` - The map to add.

#### isManifestEntriesEmpty

    public boolean isManifestEntriesEmpty()

Returns:
  true if empty false otherwise.